Subject: Strange things...
From: [email-masked] (Keet / Foxbird)

16 Mar 1998 00:27:52 -0800
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset="us-ascii"
To: [email-masked]

Well, in response to my previous message, and with no help from very very
few, I debuged my program the old fashioned way. Putting 'fprintf(stderr,
"Line 1")' every so often in the code so I could see where the problem
arose and I found the culprit. The program reads a value from the
environment and then copies it into a string. But I suspect that GETENV
returns a null, and when it's passed to strncpy it decides to go belly up.
I'm not sure if GETENV is supposed to return an empty string or a null? Any
help on this one?

- Greg

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".